#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int p,q,r;
    long long int L,R,N;
    N=0;
    cin >> p >> q >> r >> L >> R;
    for (double n = L; n<=R; n++)
    {
        if ( ((ceil(n/p)) + (ceil(n/q)) + (ceil(n/r)))<=n )
        {
            N++;
            //cout << n << "\n";
        }
    }
    cout << N;


    return 0;
}